Subject: Re: bug#32943: grep pattern < fifo fails on Cygwin (and MinGW), but not on Linux

From: Paul Eggert <[email-masked]>
Date: Sat, 6 Oct 2018 13:12:38 -0700

Houder wrote:
> I applied strace to "grep . < fifo", and as far as I can tell "an lseek
> is applied to the fifo", which obviously fails.
> 
> The "lseek" occurs on Cygwin (and MinGW?), but not on Linux

That's expected, as the code needs to run lseek in some places on Cygwin where 
it's not needed on GNU/Linux.

My guess is that you've got an old version of grep on Cygwin, and need to 
upgrade to the current version. If you still have problems with the latest 
version, please investigate via GDB and/or other means exactly why grep is 
failing for you. The strace output isn't enough, unfortunately.